.text-center {
  text-align: center !important;
}
.text-justify {
  text-align: justify !important;
}
.text-left {
  text-align: left !important;
}
.text-right {
  text-align: right !important;
}
.text-wrap {
  white-space: normal !important;
}
.text-nowrap {
  white-space: nowrap !important;
}
.text-truncate {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.text-break {
  word-break: break-word !important;
  word-wrap: break-word !important;
}
.text-lowercase {
  text-transform: lowercase !important;
}
.text-uppercase {
  text-transform: uppercase !important;
}
.text-capitalize {
  text-transform: capitalize !important;
}
.text-thin,
.text-weight-thin {
  font-weight: 100 !important;
}
.text-extra-light,
.text-weight-extra-light {
  font-weight: 200 !important;
}
.text-light,
.text-weight-light {
  font-weight: 300 !important;
}
.text-regular,
.text-weight-regular {
  font-weight: 400 !important;
}
.text-medium,
.text-weight-medium {
  font-weight: 500 !important;
}
.text-semi-bold,
.text-weight-semi-bold {
  font-weight: 600 !important;
}
.text-bold,
.text-weight-bold {
  font-weight: 700 !important;
}
.text-extra-bold,
.text-weight-extra-bold {
  font-weight: 800 !important;
}
.text-black,
.text-weight-black {
  font-weight: 900 !important;
}
.text-base {
  font-size: var(--font-size-scale-base) !important;
}
.text-down-01 {
  font-size: var(--font-size-scale-down-01) !important;
}
.text-down-02 {
  font-size: var(--font-size-scale-down-02) !important;
}
.text-down-03 {
  font-size: var(--font-size-scale-down-03) !important;
}
.text-up-01 {
  font-size: var(--font-size-scale-up-01) !important;
}
.text-up-02 {
  font-size: var(--font-size-scale-up-02) !important;
}
.text-up-03 {
  font-size: var(--font-size-scale-up-03) !important;
}
.text-up-04 {
  font-size: var(--font-size-scale-up-04) !important;
}
.text-up-05 {
  font-size: var(--font-size-scale-up-05) !important;
}
.text-up-06 {
  font-size: var(--font-size-scale-up-06) !important;
}
.text-up-07 {
  font-size: var(--font-size-scale-up-07) !important;
}
.text-up-08 {
  font-size: var(--font-size-scale-up-08) !important;
}
.text-up-09 {
  font-size: var(--font-size-scale-up-09) !important;
}
.text-up-10 {
  font-size: var(--font-size-scale-up-10) !important;
}
.text-up-11 {
  font-size: var(--font-size-scale-up-11) !important;
}
@media (min-width: 576px) {
  .text-sm-center {
    text-align: center !important;
  }
  .text-sm-justify {
    text-align: justify !important;
  }
  .text-sm-left {
    text-align: left !important;
  }
  .text-sm-right {
    text-align: right !important;
  }
  .text-sm-wrap {
    white-space: normal !important;
  }
  .text-sm-nowrap {
    white-space: nowrap !important;
  }
  .text-sm-truncate {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }
  .text-sm-break {
    word-break: break-word !important;
    word-wrap: break-word !important;
  }
  .text-sm-lowercase {
    text-transform: lowercase !important;
  }
  .text-sm-uppercase {
    text-transform: uppercase !important;
  }
  .text-sm-capitalize {
    text-transform: capitalize !important;
  }
  .text-sm-thin,
  .text-sm-weight-thin {
    font-weight: 100 !important;
  }
  .text-sm-extra-light,
  .text-sm-weight-extra-light {
    font-weight: 200 !important;
  }
  .text-sm-light,
  .text-sm-weight-light {
    font-weight: 300 !important;
  }
  .text-sm-regular,
  .text-sm-weight-regular {
    font-weight: 400 !important;
  }
  .text-sm-medium,
  .text-sm-weight-medium {
    font-weight: 500 !important;
  }
  .text-sm-semi-bold,
  .text-sm-weight-semi-bold {
    font-weight: 600 !important;
  }
  .text-sm-bold,
  .text-sm-weight-bold {
    font-weight: 700 !important;
  }
  .text-sm-extra-bold,
  .text-sm-weight-extra-bold {
    font-weight: 800 !important;
  }
  .text-sm-black,
  .text-sm-weight-black {
    font-weight: 900 !important;
  }
  .text-sm-base {
    font-size: var(--font-size-scale-base) !important;
  }
  .text-sm-down-01 {
    font-size: var(--font-size-scale-down-01) !important;
  }
  .text-sm-down-02 {
    font-size: var(--font-size-scale-down-02) !important;
  }
  .text-sm-down-03 {
    font-size: var(--font-size-scale-down-03) !important;
  }
  .text-sm-up-01 {
    font-size: var(--font-size-scale-up-01) !important;
  }
  .text-sm-up-02 {
    font-size: var(--font-size-scale-up-02) !important;
  }
  .text-sm-up-03 {
    font-size: var(--font-size-scale-up-03) !important;
  }
  .text-sm-up-04 {
    font-size: var(--font-size-scale-up-04) !important;
  }
  .text-sm-up-05 {
    font-size: var(--font-size-scale-up-05) !important;
  }
  .text-sm-up-06 {
    font-size: var(--font-size-scale-up-06) !important;
  }
  .text-sm-up-07 {
    font-size: var(--font-size-scale-up-07) !important;
  }
  .text-sm-up-08 {
    font-size: var(--font-size-scale-up-08) !important;
  }
  .text-sm-up-09 {
    font-size: var(--font-size-scale-up-09) !important;
  }
  .text-sm-up-10 {
    font-size: var(--font-size-scale-up-10) !important;
  }
  .text-sm-up-11 {
    font-size: var(--font-size-scale-up-11) !important;
  }
}
@media (min-width: 992px) {
  .text-md-center {
    text-align: center !important;
  }
  .text-md-justify {
    text-align: justify !important;
  }
  .text-md-left {
    text-align: left !important;
  }
  .text-md-right {
    text-align: right !important;
  }
  .text-md-wrap {
    white-space: normal !important;
  }
  .text-md-nowrap {
    white-space: nowrap !important;
  }
  .text-md-truncate {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }
  .text-md-break {
    word-break: break-word !important;
    word-wrap: break-word !important;
  }
  .text-md-lowercase {
    text-transform: lowercase !important;
  }
  .text-md-uppercase {
    text-transform: uppercase !important;
  }
  .text-md-capitalize {
    text-transform: capitalize !important;
  }
  .text-md-thin,
  .text-md-weight-thin {
    font-weight: 100 !important;
  }
  .text-md-extra-light,
  .text-md-weight-extra-light {
    font-weight: 200 !important;
  }
  .text-md-light,
  .text-md-weight-light {
    font-weight: 300 !important;
  }
  .text-md-regular,
  .text-md-weight-regular {
    font-weight: 400 !important;
  }
  .text-md-medium,
  .text-md-weight-medium {
    font-weight: 500 !important;
  }
  .text-md-semi-bold,
  .text-md-weight-semi-bold {
    font-weight: 600 !important;
  }
  .text-md-bold,
  .text-md-weight-bold {
    font-weight: 700 !important;
  }
  .text-md-extra-bold,
  .text-md-weight-extra-bold {
    font-weight: 800 !important;
  }
  .text-md-black,
  .text-md-weight-black {
    font-weight: 900 !important;
  }
  .text-md-base {
    font-size: var(--font-size-scale-base) !important;
  }
  .text-md-down-01 {
    font-size: var(--font-size-scale-down-01) !important;
  }
  .text-md-down-02 {
    font-size: var(--font-size-scale-down-02) !important;
  }
  .text-md-down-03 {
    font-size: var(--font-size-scale-down-03) !important;
  }
  .text-md-up-01 {
    font-size: var(--font-size-scale-up-01) !important;
  }
  .text-md-up-02 {
    font-size: var(--font-size-scale-up-02) !important;
  }
  .text-md-up-03 {
    font-size: var(--font-size-scale-up-03) !important;
  }
  .text-md-up-04 {
    font-size: var(--font-size-scale-up-04) !important;
  }
  .text-md-up-05 {
    font-size: var(--font-size-scale-up-05) !important;
  }
  .text-md-up-06 {
    font-size: var(--font-size-scale-up-06) !important;
  }
  .text-md-up-07 {
    font-size: var(--font-size-scale-up-07) !important;
  }
  .text-md-up-08 {
    font-size: var(--font-size-scale-up-08) !important;
  }
  .text-md-up-09 {
    font-size: var(--font-size-scale-up-09) !important;
  }
  .text-md-up-10 {
    font-size: var(--font-size-scale-up-10) !important;
  }
  .text-md-up-11 {
    font-size: var(--font-size-scale-up-11) !important;
  }
}
@media (min-width: 1280px) {
  .text-lg-center {
    text-align: center !important;
  }
  .text-lg-justify {
    text-align: justify !important;
  }
  .text-lg-left {
    text-align: left !important;
  }
  .text-lg-right {
    text-align: right !important;
  }
  .text-lg-wrap {
    white-space: normal !important;
  }
  .text-lg-nowrap {
    white-space: nowrap !important;
  }
  .text-lg-truncate {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }
  .text-lg-break {
    word-break: break-word !important;
    word-wrap: break-word !important;
  }
  .text-lg-lowercase {
    text-transform: lowercase !important;
  }
  .text-lg-uppercase {
    text-transform: uppercase !important;
  }
  .text-lg-capitalize {
    text-transform: capitalize !important;
  }
  .text-lg-thin,
  .text-lg-weight-thin {
    font-weight: 100 !important;
  }
  .text-lg-extra-light,
  .text-lg-weight-extra-light {
    font-weight: 200 !important;
  }
  .text-lg-light,
  .text-lg-weight-light {
    font-weight: 300 !important;
  }
  .text-lg-regular,
  .text-lg-weight-regular {
    font-weight: 400 !important;
  }
  .text-lg-medium,
  .text-lg-weight-medium {
    font-weight: 500 !important;
  }
  .text-lg-semi-bold,
  .text-lg-weight-semi-bold {
    font-weight: 600 !important;
  }
  .text-lg-bold,
  .text-lg-weight-bold {
    font-weight: 700 !important;
  }
  .text-lg-extra-bold,
  .text-lg-weight-extra-bold {
    font-weight: 800 !important;
  }
  .text-lg-black,
  .text-lg-weight-black {
    font-weight: 900 !important;
  }
  .text-lg-base {
    font-size: var(--font-size-scale-base) !important;
  }
  .text-lg-down-01 {
    font-size: var(--font-size-scale-down-01) !important;
  }
  .text-lg-down-02 {
    font-size: var(--font-size-scale-down-02) !important;
  }
  .text-lg-down-03 {
    font-size: var(--font-size-scale-down-03) !important;
  }
  .text-lg-up-01 {
    font-size: var(--font-size-scale-up-01) !important;
  }
  .text-lg-up-02 {
    font-size: var(--font-size-scale-up-02) !important;
  }
  .text-lg-up-03 {
    font-size: var(--font-size-scale-up-03) !important;
  }
  .text-lg-up-04 {
    font-size: var(--font-size-scale-up-04) !important;
  }
  .text-lg-up-05 {
    font-size: var(--font-size-scale-up-05) !important;
  }
  .text-lg-up-06 {
    font-size: var(--font-size-scale-up-06) !important;
  }
  .text-lg-up-07 {
    font-size: var(--font-size-scale-up-07) !important;
  }
  .text-lg-up-08 {
    font-size: var(--font-size-scale-up-08) !important;
  }
  .text-lg-up-09 {
    font-size: var(--font-size-scale-up-09) !important;
  }
  .text-lg-up-10 {
    font-size: var(--font-size-scale-up-10) !important;
  }
  .text-lg-up-11 {
    font-size: var(--font-size-scale-up-11) !important;
  }
}
@media (min-width: 1600px) {
  .text-xl-center {
    text-align: center !important;
  }
  .text-xl-justify {
    text-align: justify !important;
  }
  .text-xl-left {
    text-align: left !important;
  }
  .text-xl-right {
    text-align: right !important;
  }
  .text-xl-wrap {
    white-space: normal !important;
  }
  .text-xl-nowrap {
    white-space: nowrap !important;
  }
  .text-xl-truncate {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }
  .text-xl-break {
    word-break: break-word !important;
    word-wrap: break-word !important;
  }
  .text-xl-lowercase {
    text-transform: lowercase !important;
  }
  .text-xl-uppercase {
    text-transform: uppercase !important;
  }
  .text-xl-capitalize {
    text-transform: capitalize !important;
  }
  .text-xl-thin,
  .text-xl-weight-thin {
    font-weight: 100 !important;
  }
  .text-xl-extra-light,
  .text-xl-weight-extra-light {
    font-weight: 200 !important;
  }
  .text-xl-light,
  .text-xl-weight-light {
    font-weight: 300 !important;
  }
  .text-xl-regular,
  .text-xl-weight-regular {
    font-weight: 400 !important;
  }
  .text-xl-medium,
  .text-xl-weight-medium {
    font-weight: 500 !important;
  }
  .text-xl-semi-bold,
  .text-xl-weight-semi-bold {
    font-weight: 600 !important;
  }
  .text-xl-bold,
  .text-xl-weight-bold {
    font-weight: 700 !important;
  }
  .text-xl-extra-bold,
  .text-xl-weight-extra-bold {
    font-weight: 800 !important;
  }
  .text-xl-black,
  .text-xl-weight-black {
    font-weight: 900 !important;
  }
  .text-xl-base {
    font-size: var(--font-size-scale-base) !important;
  }
  .text-xl-down-01 {
    font-size: var(--font-size-scale-down-01) !important;
  }
  .text-xl-down-02 {
    font-size: var(--font-size-scale-down-02) !important;
  }
  .text-xl-down-03 {
    font-size: var(--font-size-scale-down-03) !important;
  }
  .text-xl-up-01 {
    font-size: var(--font-size-scale-up-01) !important;
  }
  .text-xl-up-02 {
    font-size: var(--font-size-scale-up-02) !important;
  }
  .text-xl-up-03 {
    font-size: var(--font-size-scale-up-03) !important;
  }
  .text-xl-up-04 {
    font-size: var(--font-size-scale-up-04) !important;
  }
  .text-xl-up-05 {
    font-size: var(--font-size-scale-up-05) !important;
  }
  .text-xl-up-06 {
    font-size: var(--font-size-scale-up-06) !important;
  }
  .text-xl-up-07 {
    font-size: var(--font-size-scale-up-07) !important;
  }
  .text-xl-up-08 {
    font-size: var(--font-size-scale-up-08) !important;
  }
  .text-xl-up-09 {
    font-size: var(--font-size-scale-up-09) !important;
  }
  .text-xl-up-10 {
    font-size: var(--font-size-scale-up-10) !important;
  }
  .text-xl-up-11 {
    font-size: var(--font-size-scale-up-11) !important;
  }
}
